
# Name which will be displayed
# when opening the station
name: '강철 제작소 (#page#/#max#)'

# The maximum amount of items in the crafting queue ie. the
# max number of items players are able to craft simultaneously.
# Must be between 1 and 64.
max-queue-size: 10

# The sound that plays whenever an action is
# completed in the crafting station.
# GET SOUND NAMES HERE:
# https://hub.spigotmc.org/javadocs/spigot/org/bukkit/Sound.html
sound: ENTITY_EXPERIENCE_ORB_PICKUP

# This is how the gui looks. You can define your own
# in crafting-stations/layouts by creating a new
# file with the name of the file as the id.
layout: default

# Configure GUI items here
items:
    fill:
        material: AIR
    no-recipe:
        material: GRAY_STAINED_GLASS_PANE
        name: '&a조합법 없음'
    no-queue-item:
        material: GRAY_STAINED_GLASS_PANE
        name: '&a대기열에 아이템 없음'

# Station recipes
recipes:
    steel-sword:
    
        # The item which the recipe gives
        output:
            type: SWORD
            id: STEEL_SWORD
            amount: 1
        
        # Time it takes to craft the item
        crafting-time: 3
        
        # Recipe options
        options:
            output-item: true # Set to false to give no item
            silent-craft: false # No sound when item is claimed
            hide-when-locked: false # Hide in the GUI when conditions are not met
        
        # Conditions to unlock the recipe
        conditions:
        - level{level=5}
        - permission{list="mmoitems.recipe.steel-sword,mmoitems.recipe.station.steel"}
        
        # Ingredients needed for the recipe
        # Available properties: type, id, amount, display, level (optional)
        ingredients:
        - mmoitem{type=MATERIAL,id=STEEL_INGOT,amount=4,display="강철괴"}
        - vanilla{type=STICK,amount=2,display="나무 막대기"}
    steel-sword-upgrade:
        item:
            type: SWORD
            id: STEEL_SWORD
        conditions:
        - level{level=5}
        ingredients:
        - mmoitem{type=MATERIAL,id=STEEL_INGOT,amount=4,display="강철괴"}
    two-handed-steel-sword:
        output:
            type: GREATSWORD
            id: TWO_HANDED_STEEL_SWORD
            amount: 1
        crafting-time: 10
        conditions:
        - level{level=8}
        ingredients:
        - mmoitem{type=SWORD,id=STEEL_SWORD,amount=1,display="강철 검"}
        - vanilla{type=STICK,amount=4,display="나무 막대기"}
    katana:
        output:
            type: SWORD
            id: KATANA
            amount: 1
        crafting-time: 20
        conditions:
        - level{level=15}
        ingredients:
        - mmoitem{type=MATERIAL,id=STEEL_INGOT,amount=6,display="강철괴"}
        - vanilla{type=IRON_INGOT,amount=2,display="철괴"}
        - vanilla{type=STICK,amount=3,display="나무 막대기"}
    steel-helmet:
        output:
            type: ARMOR
            id: STEEL_HELMET
            amount: 1
        crafting-time: 7
        conditions:
        - level{level=8}
        ingredients:
        - mmoitem{type=MATERIAL,id=STEEL_INGOT,amount=6,display="강철괴"}
    steel-chestplate:
        output:
            type: ARMOR
            id: STEEL_CHESTPLATE
            amount: 1
        crafting-time: 7
        conditions:
        - level{level=8}
        ingredients:
        - mmoitem{type=MATERIAL,id=STEEL_INGOT,amount=9,display="강철괴"}
    steel-leggings:
        output:
            type: ARMOR
            id: STEEL_LEGGINGS
            amount: 1
        crafting-time: 7
        conditions:
        - level{level=8}
        ingredients:
        - mmoitem{type=MATERIAL,id=STEEL_INGOT,amount=8,display="강철괴"}
    steel-boots:
        output:
            type: ARMOR
            id: STEEL_BOOTS
            amount: 1
        crafting-time: 7
        conditions:
        - level{level=8}
        ingredients:
        - mmoitem{type=MATERIAL,id=STEEL_INGOT,amount=5,display="강철괴"}
    steel-ingot:
        output:
            type: MATERIAL
            id: STEEL_INGOT
            amount: 3
        crafting-time: 2
        ingredients:
        - vanilla{type=IRON_INGOT,amount=4,display="철괴"}
    steel-dagger:
        output:
            type: DAGGER
            id: STEEL_DAGGER
            amount: 1
        crafting-time: 6
        conditions:
        - level{level=20}
        ingredients:
        - mmoitem{type=MATERIAL,id=STEEL_INGOT,amount=4,display="강철괴"}
        - vanilla{type=STICK,amount=2,display="나무 막대기"}
    hardened-steel-claymore:
        output:
            type: GREATSWORD
            id: HARDENED_STEEL_CLAYMORE
            amount: 1
        crafting-time: 20
        conditions:
        - level{level=13}
        ingredients:
        - mmoitem{type=MATERIAL,id=STEEL_INGOT,amount=15,display="강철괴"}
        - vanilla{type=STICK,amount=4,display="나무 막대기"}
    stiff-greatstaff:
        output:
            type: GREATSTAFF
            id: STIFF_GREATSTAFF
            amount: 1
        conditions:
        - level{level=6}
        ingredients:
        - mmoitem{type=MATERIAL,id=STEEL_INGOT,amount=4,display="강철괴"}
        - vanilla{type=STICK,amount=10,display="나무 막대기"}
    steel-pickaxe:
        output:
            type: TOOL
            id: STEEL_PICKAXE
            amount: 1
        conditions:
        - level{level=6}
        ingredients:
        - mmoitem{type=MATERIAL,id=STEEL_INGOT,amount=4,display="강철괴"}
        - vanilla{type=STICK,amount=3,display="나무 막대기"}
    steel-shovel:
        output:
            type: TOOL
            id: STEEL_SHOVEL
            amount: 1
        conditions:
        - level{level=6}
        ingredients:
        - mmoitem{type=MATERIAL,id=STEEL_INGOT,amount=2,display="강철괴"}
        - vanilla{type=STICK,amount=3,display="나무 막대기"}
